

<template>
  
    <html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>houses_buy_page</title>
    <link rel="stylesheet" href="..//css/houses_buy_page.css">
</head>
<body>
    <div class="wrapper">
        <Houses
         v-for="product in this.$store.state.products"
        :key="product.id"
        v-bind:product_data="product"
        @addToCart="addToCart" />
        
       
        <div class="conteiner-conditions">
            
            <p>Terms of use</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit.
                 Recusandae assumenda culpa error! Autem, in nostrum. 
                 Optio rem consectetur error iure illum, eos asperiores minima odit facere. 
                 Iste mollitia ipsa nemo?Lorem ipsum dolor, sit amet consectetur adipisicing elit. 
                 Quaerat adipisci voluptatibus velit voluptate dolorem!
                  Quod, quos rerum, cum aspernatur nam illum libero vel iste natus ut pariatur repellendus veritatis error!
                Lorem ipsum dolor sit amet consectetur adipisicing elit.
                 Quaerat eos nihil, itaque praesentium minus impedit cum veritatis tempora, esse officia ea quibusdam distinctio provident voluptate quae id ipsa, odio quasi!
                Lorem ipsum dolor sit amet consectetur adipisicing elit. Saepe nesciunt, natus est obcaecati harum sunt quibusdam deserunt, sequi non repellat doloribus odit, maxime autem sit suscipit explicabo fuga beatae ipsam.
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Nemo voluptas ipsam quam illum? Ipsam, est exercitationem blanditiis sed et tempore eaque laboriosam repudiandae optio dolores corporis, asperiores sapiente nesciunt nobis?</p>
                
                </div>
    </div>
</body>
</html>

</template>

<script>

import Houses from './Houses'
import{mapActions,mapGetters} from 'vuex'
export default {
    data(){
        return{
            
     
}      
        
    },
    computed:{
        ...mapGetters([
            'PRODUCTS',
            'CART'
        ])
    },
    components: {
        Houses
    },
    methods: {
        addToCart(data) {
            this.ADD_TO_CART(data);
        },
        ...mapActions([
           'GET_PRODUCTS_FROM_API',
           'ADD_TO_CART'
        ])
    },
    mounted(){
        this.GET_PRODUCTS_FROM_API()
    }
    
}
</script>
<style scoped>
body {
     display: flex;
    justify-content: center;  
    margin-top: 10%;

} 
.wrapper{
  width: 790px;  
  
}



.conteiner-conditions{
    margin-top: 30px;
    margin-left: 20px;
    border: 2px solid black;
    width: 97%;
    text-align: center;
}
.conteiner-conditions p:last-child{
    font-size: 11px;
    padding: 6px 6px 6px 6px;
}



</style>